Fail to install Rated 5 out of 5 stars

I love this addon, but in the last two weeks (at least since I discovered the following problem), I cannot longer install it.

If I click the install button (after the eula) I get:
Firefox could not install the file at
https://addons.mozilla.org/en-US/firefox/downloads/latest/314
because: Invalid file hash (possible download corruption)
-261

This happens on both my personal Linux machine and my Windows Vista job machine.

Regarding the Linux machine, in the last weeks I had to re-install the OS a couple of time (for other reasons) and the problem always presented itself; so I guess it is not just a problem of cache.

I hope it is solved soon.

This review is for a previous version of the add-on (0.7.1.4).